package com.imyeyu.fx.ui.components.alert;

import com.imyeyu.fx.ui.TimiFXUI;
import javafx.scene.image.Image;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 弹窗类型
 *
 * @author 夜雨
 * @since 2022-01-07 10:51
 */
@Getter
@AllArgsConstructor
public enum AlertType {

	/** 信息 */
	INFORMATION(new Image("timifx/dialog-information16x.png"), TimiFXUI.MULTILINGUAL.text("alert.title.information", "信息")),

	/** 警告 */
	WARNING(new Image("timifx/dialog-warning16x.png"), TimiFXUI.MULTILINGUAL.text("warning", "警告")),

	/** 危险警告 */
	WARNING_DANGER(new Image("timifx/dialog-warning-danger16x.png"), TimiFXUI.MULTILINGUAL.text("warning", "危险警告")),

	/** 询问 */
	CONFIRMATION(new Image("timifx/dialog-confirmation16x.png"), TimiFXUI.MULTILINGUAL.text("confirmation", "询问")),

	/** 错误 */
	ERROR(new Image("timifx/dialog-error16x.png"), TimiFXUI.MULTILINGUAL.text("error", "错误"));

	/** 弹窗类型图标 */
	final Image icon;

	/** 弹窗类型标题 */
	final String title;
}
